Name:		maven-doxia-tools
Version:	1.4
Release:	%mkrel 3
Summary:	Maven Doxia Integration Tools

Group:		Development/Java 
License:	ASL 2.0
URL:		http://maven.apache.org/shared/maven-doxia-tools/
Source0:        http://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:         %{name}-migration-to-component-metadata.patch

BuildRequires:  apache-commons-io >= 1.4
BuildRequires:  apache-commons-logging
BuildRequires:  maven
BuildRequires:	plexus-utils
BuildRequires:	plexus-interpolation
BuildRequires:	plexus-container-default
BuildRequires:	plexus-i18n
BuildRequires:	maven-shared
BuildRequires:	maven-doxia
BuildRequires:	maven-doxia-sitetools
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-plugin-testing-harness
BuildRequires:	maven-shared-plugin-testing-harness
BuildRequires:	maven-shared-reporting-impl
BuildRequires:  plexus-containers-component-metadata
BuildRequires:	java-devel >= 0:1.6.0

BuildArch:	noarch

Requires:       apache-commons-io >= 1.4
Requires:	plexus-utils
Requires:	plexus-interpolation
Requires:	plexus-container-default
Requires:	plexus-i18n
Requires:	maven-shared
Requires:	maven-doxia
Requires:	maven-doxia-sitetools

Requires:	jpackage-utils

%description
A collection of tools to help the integration of Doxia in Maven plugins.

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}
%doc LICENSE NOTICE DEPENDENCIES

#--------------------------------------------------------------------

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java 
Requires:	jpackage-utils

%description javadoc
API documentation for %{name}.

%files javadoc
%doc %{_javadocdir}/*
%doc LICENSE

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -b .sav

%build
mvn-rpmbuild \
	-Dmaven.test.skip=true \
	install javadoc:aggregate


%install
# jars
install -Dm 644 target/%{name}-%{version}.jar %{buildroot}/%{_javadir}/%{name}.jar

# javadoc
install -d -m 755 %{buildroot}/%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}/%{_javadocdir}/%{name}

# poms
install -Dpm 644 pom.xml %{buildroot}/%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.4-3.mga3
+ Revision: 359612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 26 2012 dmorgan <dmorgan> 1.4-2.mga3
+ Revision: 264013
- Do not require post/postun jpackage-utils.

* Sun Dec 25 2011 dmorgan <dmorgan> 1.4-1.mga2
+ Revision: 187617
- Various update ( Fedora)
- Migration to plexus-containers-component-metadata & update to 1.4 ( Fedora)

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2-7.mga1
+ Revision: 92698
- Rebuild after bootstrapping
- imported package maven-doxia-tools

